Bug 304491

Summary: keyring keeps asking for password
Product: [Fedora] Fedora Reporter: Pierre Ossman <pierre-bugzilla>
Component: gnome-keyringAssignee: Alexander Larsson <alexl>
Status: CLOSED RAWHIDE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: high Docs Contact:
Priority: medium    
Version: rawhideCC: andreas.kotowicz
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2007-10-09 09:35:34 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On:    
Bug Blocks: 235703    

Description Pierre Ossman 2007-09-25 02:37:13 EDT
Something happened a few versions ago with the keyring that has left it close to
unusable.

Every application that wants access to the keyring keeps reasking my to unlock
it. It doesn't matter how many times I enter the password, it just keeps going.

For nm-applet, I can abort the keyprompt, which makes it throw up the new flashy
keyprompt where you can tell it to unlock the keyring at login. Entering
password into this one makes nm-applet get access to the keys (a WEP key it
needs is in there).

With the keyring manager however, all I get is the classic prompt and I'm
completely unable to get access approved there.

I don't know if it's related to the change discussed in bug 298871, but there is
no crashing here at least.
Comment 1 Pierre Ossman 2007-09-25 02:37:53 EDT
Sorry, wrong version. This is on a rawhide system.
Comment 2 Matthias Clasen 2007-10-03 12:04:41 EDT
Alex did a bunch of gnome-keyring fixes today, that may fix this problem. 
We haven't completed the fixes for "unlock-at-login-doesn't" yet, though.
Comment 3 Alexander Larsson 2007-10-04 03:03:05 EDT
Can you try this with gnome-keyring-2.20-3.fc8, which has a bunch of fixes.
Also, one of the bugs can cause ~/.gnome2/keyrings/default to be truncated (0
bytes) on logout. It should contain the name of the default keyring. If this has
happened, do:

echo -n default > ~/.gnome2/keyrings/default

("default" is almost always the default keyring)
Comment 4 Pierre Ossman 2007-10-04 04:57:16 EDT
I could, if I could download it somewhere. :)

~
[drzeus@poseidon]$ stat ~/.gnome2/keyrings/default
stat: cannot stat `/home/drzeus/.gnome2/keyrings/default': No such file or directory

Could that be an issue?
Comment 5 Matthias Clasen 2007-10-04 12:41:50 EDT
You can get it at http://koji.fedoraproject.org/koji/buildinfo?buildID=20147
Comment 6 Pierre Ossman 2007-10-08 12:14:14 EDT
After some fiddling I got things to work. I did several things, so I'm not
entirely sure which are necessary:

1. Upgrade to gnome-keyring-2.20-4.fc8

Still no go.

2. echo -n default > ~/.gnome2/keyrings/default

Still no go.

3. Notice that it is trying to access keyring "login", not "default". Change
keyring and rejoice over working manager. :)

So you can close this bug, although the fact that keyring-manager doesn't use
"default" by default is a bit annoying.
Comment 7 Andreas Kotowicz 2007-10-14 19:09:35 EDT
I have the very same problem with the latest rawhide. The fix of comment #6
doesn't work for me. 

~/.gnome2/keyrings/default used to not exist. putting default into it, gnome
keyring manager will ask for the login keyring. If I change the contents of the
file to login, it will ask for the default keyring. 

So basically I lost the ability to have a wireless connection on startup.
Comment 8 Andreas Kotowicz 2007-10-14 19:43:14 EDT
removing login.keyring solved the problem for me.